ROTATE question

Discussion in 'AutoCAD' started by Richard Chalmers, Mar 31, 2005.

  1. ROTATE goes like this:

    ROTATE, hit Enter
    prompt to select objects, so I select objects and hit Enter
    prompt base point, so I select a base point
    prompt for rotation angle or Reference, so I select Reference and hit Enter
    then I select a reference angle and a new angle and hit Enter

    I have to rotate a lot of objects so, I'd like to avoid hitting Enter so
    much and just moving on to the next step. I tried writing a script but how
    do you get the script to move to the next prompt after selecting the
    objects? And after selecting
    Reference?

    Is there a better way to approach rotating a lot of objects? They have to
    be rotated individually and all rotate at different angles.

    Even just getting ROTATE to default to Reference would help.
     
    Richard Chalmers, Mar 31, 2005
    #1
  2. Richard Chalmers

    archie999 Guest

    Do you have to rotate them all to a set angle - i.e. rotate them all to 45 degrees?
     
    archie999, Mar 31, 2005
    #2
  3. Richard Chalmers

    archie999 Guest

    Sorry Richard - I didn't read the bit about different angles.

    Try this though; It rotates about the basepoint or start point. Load it into AutoCAD then type ROA.

    (defun c:roa (/ bit roang bitin)

    (setvar "cmdecho" 0)
    (setvar "highlight" 0)
    (setq bit (car (entsel))
    roang (getreal "\nEnter Angle")
    bitin (cdr (assoc 10 (entget bit)))
    )
    (command "rotate" bit "" bitin roang)
    (setvar "highlight" 1)
    (setvar "cmdecho" 1)
    (princ)
    )
     
    archie999, Mar 31, 2005
    #3
  4. got it fixed up. thanks.
     
    Richard Chalmers, Mar 31, 2005
    #4
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.